Bug 838736 - Anaconda/Kickstart LUKS Algorithm
Summary: Anaconda/Kickstart LUKS Algorithm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 6.4
Assignee: David Lehman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 745682 840685 843174 846861 867781
TreeView+ depends on / blocked
 
Reported: 2012-07-10 01:17 UTC by Platform RFE
Modified: 2013-02-21 10:00 UTC (History)
4 users (show)

Fixed In Version: anaconda-13.21.182-1
Doc Type: Enhancement
Doc Text:
Feature: Allow specification of LUKS cipher string when creating encrypted block devices using kickstart. Reason: Some users may have a requirement to use a cipher other than the default. Result (if any):
Clone Of:
: 843174 846861 (view as bug list)
Environment:
Last Closed: 2013-02-21 10:00:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0373 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2013-02-20 20:52:28 UTC

Comment 1 Platform RFE 2012-07-10 01:17:58 UTC
** Original comment by rferris@redhat.com **

1. 
Account name: Defence Signals Directorate
Customer segment: 1
TAM/SRM customer: no
VHT score: 4
Strategic Customer: yes

2. 
Ability to choose LUKS encryption type in Kickstart.

3.
Customer is the Australian Department of Defence and requires
aes-cbc-essiv:sa256 strength encryption on their storage devices.
At this point in time Anaconda is hard coded to use only aes-xts-plain64, based
on the outcome of BZ#600295

4.
An option available in the kickstart configuration to set the LUKS encryption
algorithm.

5.
Customer sets and appropriate flag/option in kickstart configuration. After
installation running the command below returns the algorithm selected
algorithm.
cryptsetup status luks-<id>

6.
No

7.
Sooner rather than later.

8.
Yes

9.
system-config-kickstart
pykickstart
anaconda

10.
Yes

Comment 17 David Lehman 2012-10-17 16:18:03 UTC
Follow-up patch (tested and) posted for review.

Comment 19 Ľuboš Kardoš 2012-12-13 10:47:41 UTC
Verified on RHEL6.4-20121212.1

Comment 20 errata-xmlrpc 2013-02-21 10:00:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0373.html


Note You need to log in before you can comment on or make changes to this bug.